Subject: bug#52053: 29.0.50; Nonsensical button "C-x C-f" in scratch buffer

From: Robert Pluim <[email-masked]>
Date: Fri, 26 Nov 2021 12:17:24 +0100

>>>>> On Fri, 26 Nov 2021 13:13:28 +0200, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Cc: Gregory Heytings <[email-masked]>,  [email-masked],
    >> [email-masked],  [email-masked]
    >> Date: Fri, 26 Nov 2021 10:24:22 +0100
    >> 
    Eli> Thanks.  This approach is fine by me, but the variable you introduced
    Eli> should not be internal, and it probably should be called out in NEWS
    Eli> (in the Lisp section), because I believe the intent was to allow other
    Eli> callers to use it, even though currently we have only one such caller.
    >> 
    >> So a variable that code can set to say 'use this other variable'?

    Eli> Maybe I'm missing something, but where did you see that this new
    Eli> variable is used to set help-link-key-to-documentation?

Itʼs checked to see if help-link-key-to-documentation should be used
(not set).

    >> Again, why not just bind `help-link-key-to-documentation' directly?

    Eli> Presumably, because help-link-key-to-documentation is a user option,
    Eli> and an option which is specific to Help commands?

Right. So Help commands should bind it as necessary.

Robert
--